Update Purchase Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

HTTP Method: PUT

Endpoint URL: https://coreapi.impexdocs.com/api/v1/purchaseorder/{purchaseorder_id}

Authentication: Required

Response Format: JSON

Description

This API allows you to programmatically manage and update purchase orders within our platform. To use the Purchase Order updation endpoint, authentication is required. Ensure that your application is authenticated using the provided API key or access token.

Request

To update a Purchase Order, provide the following mandatory inputs in the request JSON:

  1. Purchase Order Id (purchaseorder_id): The Purchase Order Id is the primary key used to uniquely identify each Purchase Order in our system. It is essential for updating and retrieving data.

  2. Order Status (order_status): This field defines the status of a Purchase Order.

Response

The API will respond with a JSON object containing the following:

  • Response Code
  • Message

Example Response JSON

{
  "response_code": 200,
  "message": "Purchase Order modified successfully",  
}

Note

  • Ensure proper authentication before making the request.
  • Use the Purchase Order ID obtained during the creation of the Purchase Order for the path parameter.
  • Provide the necessary fields to be modified in the request JSON.
Path Params
string
required
Body Params
string
required
length between 1 and 50

This is the Current Status of the PurchaseOrder. While creating purchase order, default value "Created" needs to be passed.

string | null
string | null
string | null
string | null
supplier_and_refrence_details
object
boolean

Validation on Partner Code is optional. If value is false, we will save the Partner data without any validation.
If value is true, we will validate Partner Code. Blank and Invalid code will not be allowed.

partner
array of objects | null
partner
transport_and_other_details
object
signatory_and_other_details
object
brokerage
object
product_details
object
other_information
object
terms_and_condition
object
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json